% May 2020
%% NODYCON2021 class file for LaTeX generated by Andrea Arena, Sapienza University of Rome

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{nodycon2021}[2020/05/03 NODYCON2021 paper class]
\DeclareOption{11pt}{\OptionNotUsed}
\DeclareOption{twocolumn}{\OptionNotUsed}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions\relax
\LoadClass[11pt]{article_nodycon}
\RequirePackage{calc}
\RequirePackage{indentfirst}
\usepackage{times}
\renewcommand{\@maketitle}{
 \begin{center}
  {
   \fontsize{13}{13}\selectfont
   \bfseries
   \@title
    \par
  }
  \vspace{8pt}
  {
   \fontsize{12}{12}\selectfont\@author
   \par
  }
    {
   \def\and{\\\vspace{12pt}}
   \fontsize{10}{12}\selectfont\itshape\@address
   \par
  }
 \end{center}
 %\vspace{5pt}
 \noindent {{\textbf{ Abstract}}.\space}\fontsize{10}{11}\selectfont\@abstract \par
 }
\def\author{\@ifnextchar[{\@getshortauthor}{\@getauthor}}
\def\@getauthor#1{\gdef\@author{#1}\gdef\@shortauthor{#1}}
\def\@getshortauthor[#1]#2{\gdef\@shortauthor{#1}\gdef\@author{#2}}
\newcommand{\address}[1]{\gdef\@address{#1}}
\newcommand{\keywords}[1]{\gdef\@keywords{#1}}
\renewcommand{\abstract}[1]{\gdef\@abstract{#1}}
\newcommand{\heading}[1]{\gdef\@heading{#1}}
%
\renewcommand{\@makecaption}[2]{%
 \setlength{\abovecaptionskip}{ 5pt plus 2pt minus 2pt}
  \setlength{\belowcaptionskip}{ -10pt plus 0pt minus 0pt}
  \vskip\abovecaptionskip
  \sbox\@tempboxa{\fontsize{9}{9}\selectfont #1: #2}%
  \ifdim \wd\@tempboxa >\hsize
    \fontsize{9}{9}\selectfont #1: #2\par
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}
\setlength{\oddsidemargin}{-6mm}
\setlength{\voffset}{0mm}
\setlength{\topmargin}{-12.5mm}
\setlength{\headheight}{0mm}
\setlength{\headsep}{0mm}
\setlength{\textheight}{267mm}
\setlength{\textwidth}{170mm}
\setlength{\textfloatsep}{0pt}
\setlength{\abovedisplayskip}{0pt}
\setlength{\belowdisplayskip}{0pt}
\setlength{\parindent}{0mm}
\setlength{\footskip}{0pt}
\setlength{\itemsep}{0pt}
\AtBeginDocument{
  \pagestyle{empty}
  \maketitle
  \let\maketitle\relax
}
\endinput